SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   StarOffice Vendors:   Sun
(Sun Issues Fix for StarOffice) OpenOffice.org Office Suite Bugs Let Remote Users Execute Arbitrary Code or Shell Commands
SecurityTracker Alert ID:  1017818
SecurityTracker URL:  http://securitytracker.com/id/1017818
CVE Reference:   CVE-2007-0238   (Links to External Site)
Updated:  Apr 10 2007
Original Entry Date:  Mar 27 2007
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 6, 7, and 8 Update 6
Description:   A vulnerability was reported in OpenOffice.org Office Suite. A remote user can cause arbitrary code to be executed on the target user's system. Sun StarOffice is affected.

A remote user can create a specially crafted document that, when loaded by the target user, will trigger a stack overflow in the StarCalc parser and execute arbitrary code on the target system [CVE-2007-0238]. The code will run with the privileges of the target user.

Next Generation Security discovered this vulnerability.

A remote user can create a specially crafted URI that, when loaded by the target user, will execute arbitrary shell commands on the target system [CVE-2007-0239]. The code will run with the privileges of the target user.

Impact:   A remote user can create a document that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   Sun has issued an advisory indicating that StarOffice is affected by the StarCalc vulnerability [CVE-2007-0238].

Sun has issued the following fixes:

SPARC Platform

* StarOffice/StarSuite 6.0 with patch 112885-07 or later
* StarOffice/StarSuite 7 with patch 116519-13 or later
* StarOffice 8 with patch 120185-10 or later
* StarSuite 8 with patch 120189-10 or later

x86 Platform

* StarOffice/StarSuite 6.0 with patch 112886-07 or later

Linux Platform

* StarOffice/StarSuite 6.0 with patch 112887-07 or later
* StarOffice/StarSuite 7 with patch 116518-13 or later
* StarSuite 8 with patch 120188-09 or later
* StarOffice 8 with patch 120184-09 or later

Windows Platform

* StarOffice/StarSuite 6.0 with patch 112888-07 or later
* StarOffice/StarSuite 7 with patch 116520-12 or later
* StarOffice 8 with patch 120187-09 or later
* StarSuite 8 with patch 120191-09 or later

A final resolution is pending.

The Sun advisory is available at:

http://sunsolve.sun.com/search/document.do?assetkey=1-26-102794-1

Cause:   Boundary error, Input validation error
Underlying OS:  Linux (Any), UNIX (Solaris - SunOS), Windows (Any)

Message History:   This archive entry is a follow-up to the message listed below.
Mar 20 2007 OpenOffice.org Office Suite Bugs Let Remote Users Execute Arbitrary Code or Shell Commands



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC